Inspect

Update memory

Replace the title, canonical body, discovery summary, and type of an active memory.

Base URL
PATCH
/api/public/v1/memories/{memory_id}

Replace the title, canonical body, discovery summary, and type of an active memory.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

Path Parameters

memory_id*string

Request Body

application/json
  1. body

Values are trimmed before length limits are checked.

title*Memories.MemoryTitle
Length1 <= length <= 200
content*Memories.MemoryContent

Canonical Markdown body. Directive memories must be at most 2000 characters so they can be injected in full.

Length1 <= length <= 20000
description*Memories.MemoryDescription
Length10 <= length <= 420
memory_type*Memories.MemoryType
Value in"fact""directive"

Response Body

Updated memory

application/json
  1. response
data*
Example Request
curl -X PATCH 'https://your-org.inspect.com/api/public/v1/memories/string' \  -H 'Content-Type: application/json' \  -d '{  "title": "string",  "content": "string",  "description": "stringstri",  "memory_type": "fact"}'
Example Response
{  "data": {    "memory": {      "id": "string",      "title": "string",      "content": "string",      "description": "string",      "memoryType": "fact",      "archivedAt": "2019-08-24T14:15:22Z",      "archivedReason": "string"    }  }}